--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Removes all Resources from the Collection
- !ruby/struct:SM::Flow::P 
  body: This should remove and orphan each Resource from the Collection
- !ruby/struct:SM::Flow::P 
  body: "@return [self]"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#clear
is_singleton: false
name: clear
params: ()
visibility: public
